<?php

class Login extends CI_Controller {

     function index(){
        $this->loginForm();
    }

    /**
     * Just fetches the Login form VIEW for us.
     *
     * @author Amit Shrivastava
     * @package Customer Data Management System
     *
     *      */
    function loginForm() {

     $data['main_content'] = 'login_view';
     $this->load->view('includes/template_login', $data);

    }
//     function logout(){
//        $this->session->sess_destroy();
//        redirect(base_url().'login/index');
////
////        $array = array(
////                    'USER_NAME'     => $q[0]['username'],
////                    'USER_ID'       => $q[0]['user_id'],
////                    'USER_TYPE'     => $q[0]['user_type'],
////                    'is_login'      => FALSE
////               );
////        $this->session->unset_userdata($array);
////        $this->session->sess_destroy();
////        redirect(base_url(), 'refresh');
//    }


     /**
     * This checks if the data entered in the login box is valid. It uses the
     * form_validation helper in CI and validates the username:password fields
     *
     * If data is valid, control is passed on to the Flappar::candidateLogin() function.
     *
     * @access private
     * @author Amit Shrivastava
     * @package Customer Data Management System
     */
    function checkLogin() {

        $this->form_validation->set_rules('username', 'Username', 'trim|required|max_length[32]');
        $this->form_validation->set_rules('password', 'Password', 'trim|required||max_length[32]');
  //      $this->form_validation->set_message('required', 'You need to login using a password. Shyaana hay kya :)');

        if($this->form_validation->run()==FALSE) {
            $this->index();

        }
        else{
         $this->_candidateLogin();
        }
    }




    /**
     * This logs the candidate in. Since the employer cannot login, we have not
     * written functions for that now. We can easily add them as and when required.
     *
     * The function gets data from the Login Model and sets session IDs for the
     * logged in state.
     *
     * @author Amit Shrivastava
     * @package Customer Data Management System
     */


    function _candidateLogin() {
        error_reporting(E_ALL ^ (E_NOTICE | E_WARNING));
        $this->load->model('login_model');
        $q = $this->login_model->candLogin();

        if($q){

           $data = array(
                    'username' => $q[0]['name'],
                    'user' => $q[0]['admin_user_name'],
                    'userid' => $q[0]['admin_user_id'],
                    'usertype' => $q[0]['user_type'],
                    'modules' => $q[0]['module_id'],
                    'site' => $q[0]['site_id'],
                     );

            $this->session->set_userdata($data);

            $data['main_content'] = 'home_view';
            $this->load->view('includes/template', $data);

        }else{

            $data['message'] = "<b><p class=\"\">Please Enter Valid User Name & Password</p></b>";
            $data['data'] = NULL;
            $data['main_content'] = 'login_view_another';
            $this->load->view('includes/template_login', $data);

        }
    }


     function logout() {
        //Destroy session
        $this->session->destroy();
        redirect(base_url().'login');
    }
}

?>
